For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dashboard

Aggregate summary of policies, policy sets and evaluations for display on the dashboard

get

Get metrics about policies, policy sets and evaluations

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
rangestring · enumOptional

The time period over which to aggregate dashboard data. Can be: 24 hours, 7 days or 30 days

Default: 30dExample: 30dPossible values:
accountIdentifierstringOptional

Harness account ID

Default: ""Example: eBqAoNchMLKigC_qZ5EdC
orgIdentifierstringOptional

Harness organization ID

Default: ""Example: test-org
projectIdentifierstringOptional

Harness project ID

Default: ""Example: test-project
Header parameters
x-api-keystringOptional

Harness PAT key used to perform authorization

Example: Libero modi libero numquam qui.
Responses
200

OK response.

application/json

Policy, policy set and evaluation metrics

get/api/v1/dashboard
GET /gateway/pm/api/v1/dashboard HTTP/1.1
Host: app.harness.io/
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "aggregates": [
    {
      "error": 37656522607197600,
      "pass": 7464956699742084000,
      "time": 1538550125153778700,
      "warning": 5697036629664590000
    },
    {
      "error": 37656522607197600,
      "pass": 7464956699742084000,
      "time": 1538550125153778700,
      "warning": 5697036629664590000
    },
    {
      "error": 37656522607197600,
      "pass": 7464956699742084000,
      "time": 1538550125153778700,
      "warning": 5697036629664590000
    },
    {
      "error": 37656522607197600,
      "pass": 7464956699742084000,
      "time": 1538550125153778700,
      "warning": 5697036629664590000
    }
  ],
  "policy_health": {
    "total_evaluation_count": 14201876849955834,
    "total_evaluation_entity_count": {
      "error": 1214081903279078000,
      "pass": 4596833819605482000,
      "warning": 8308934578896301000
    },
    "total_policy_count": 8771905109859713000,
    "total_policy_set_count": 5841960613785413000,
    "total_policy_set_entity_count": {
      "Quia officia eos voluptatem qui impedit quia.": 3572455679767888000,
      "Quibusdam dolore aut.": 3325537192149463000,
      "Vitae deleniti qui quisquam voluptas voluptas officiis.": 2265009791480361500
    }
  }
}

Last updated

Was this helpful?